FREDFRED docs

Price a saved file or product

Request a 3D printing quote for a FRED file or product, then compare available manufacturers, fees and terms.

Published by FRED

POST
/v1/storefront/quotes

Request a 3D printing quote for a FRED file or product, then compare available manufacturers, fees and terms.

Authorization

ApiKeyAuth
X-API-Key<token>

Key created in the dashboard, to be kept on your server.

In: header

Header Parameters

Idempotency-Key*Idempotency-Key
Length1 <= length <= 160

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

curl -X POST "https://example.com/v1/storefront/quotes" \  -H "Idempotency-Key: string" \  -H "Content-Type: application/json" \  -d '{    "product_id": "prod_exemple",    "quantity": 1,    "destination": {      "country": "FR",      "postal_code": "34000"    }  }'
{  "id": "est_exemple",  "object": "print_quote",  "status": "ready",  "comparison_complete": true,  "file_id": "file_exemple",  "product_id": null,  "quantity": 1,  "material": "PLA",  "destination": {    "country": "FR",    "postal_code": "34000"  },  "recommended_option_id": "opt_exemple",  "options": [    {      "id": "opt_exemple",      "supplier": {        "id": "farm_exemple",        "name": "Atelier exemple",        "city": "Montpellier",        "country": "FR"      },      "recommended": true,      "available": true,      "reason": null,      "price": {        "currency": "EUR",        "production_cents": 800,        "service_cents": 150,        "shipping_cents": 509,        "insert_cents": 0,        "subtotal_cents": 1459,        "tax_cents": 292,        "tax_rate_bps": 2000,        "total_cents": 1751      },      "dispatch_hours": 48,      "transit_hours": 48,      "delivery_hours": 96,      "expires_at": "2030-01-01T13:00:00Z",      "simulated": false,      "preparation_id": "prep_exemple",      "artifact_id": "artifact_exemple",      "preview_url": "/v1/preparations/prep_exemple/content",      "approval_required": false,      "estimate_source": "slicer",      "indicative": false,      "estimation_notice": null    }  ],  "unavailable_suppliers": [],  "issues": [],  "ordering_enabled": true,  "poll_url": "/v1/storefront/quotes/est_exemple"}

Was this page helpful?